<!DOCTYPE html>
<html> 
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="../css/styleEmpresas.css">
    <title>Empresas</title>
    <meta name='viewport' content='width=device-width, initial-scale=1'>
        <link rel='stylesheet' type='text/css' media='screen' href='main.css'>
        <script src='main.js'></script>
<!--Tarea 19-->
<link
      rel="stylesheet"
      href="https://unpkg.com/primevue/resources/themes/lara-light-green/theme.css"
    />
    <link
      rel="stylesheet"
      href="https://unpkg.com/primeflex@latest/primeflex.css"
    />
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css"
    />
</head>
<style>
    .link-style {
      text-decoration: none; /* No underline by default */
      color: black; /* Text color */
      font-size: 16px; /* Size of the font */
      font-family: Arial, sans-serif; /* Font family */
      margin-top: 10px;
    }

    .link-style:hover {
      text-decoration: underline; /* Underline on hover */
    }
    .Titulo {
      margin-left: 200px;
    }
  </style>

<body>
    <header>
        <div class="top=nav">
            <a href="index.html" class="links mr-5 header"><span class="menu-item" style="padding-left: 10px ;">Personas</span></a>
            <span class="menu-item mr-5 header">Pequeñas y Medianas Empresas</span>
            <span class="menu-item">Empresas</span></a>
            <div class="lenguajes">
                <button class="button">
                    México (Español)
                    <div class="menu-arrow">
                        <svg focusable="false" viewBox="0 0 18 18" color="#333" aria-hidden="true" fill="#fff">
                            <path d="M17 4.196l-8 7.998-8-7.998v1.696l8 8 8-8z"></path>
                            <path fill="none" d="M18 18H0V0h18z"></path>
                        </svg>
                    </div>
                </button>
            </div>
        </div>
        <div style="padding-right: 5%;">
        </div>
        <hr style="background-color: white;">
    </header>
    <header style="background-color: black;">
        <div class="bottom-nav-empresas">
            <img src="../img/hsbc-white.png" alt="HSBC" style="width: 100px;">
            <a href="#" class="links">Insights</a>
            <a href="#" class="links">Productos y Soluciones</a>
            <a href="#" class="links">Centro de soporte</a>
            <a href="#" class="links">Contacto HSBC</a>
            <span style="cursor: pointer;"><img src="../img/lupa.png" alt="Búsqueda" style="width: 20px;"></span>
            <div class="internet-banking">
                <span style="padding: 8px;">Iniciar sesión</span>
                <div class="menu-arrow">
                    <svg focusable="false" viewBox="0 0 18 18" color="#333" aria-hidden="true" fill="#fff">
                        <path d="M17 4.196l-8 7.998-8-7.998v1.696l8 8 8-8z"></path>
                        <path fill="none" d="M18 18H0V0h18z"></path>
                    </svg>
                </div>
            </div>
        </div>        
    </header>
    <!--Tarea 17-->
    <div class="content">
        <h1 class="main-title">Los mejores productos, soluciones y artículos de:</h1>
        
        <div class="buttons">
          <button class="btn selected" onclick="selectButton(this)">Select All</button>
          <button class="btn" onclick="selectButton(this)">Crecimiento</button>
          <button class="btn" onclick="selectButton(this)">Digital e Innovación</button>
          <button class="btn" onclick="selectButton(this)">Finanzas Sustentables</button>
          <button class="btn" onclick="selectButton(this)">Red Internacional</button>
        </div>
      
        <div class="card-container">
          <div class="card">
            <img src="../img/actividad17_1.jpg" alt="Cuentas a la vista">
            <div class="card-overlay">
              <div class="card-title">Cuentas a la vista ></div>
              <div class="card-description">Cuenta de cheques en Moneda <br> 
                Nacional y/o Dólares, que te permitirá <br>
                administrar tus recursos y realizar <br>
                operaciones financieras a través de tu <br>
                banca electrónica HSBCnet.</div>
            </div>
          </div>
          <div class="card">
            <img src="../img/actividad17_2.jpg" alt="Equilibrio de oferta y demanda">
            <div class="card-overlay">
              <div class="card-title">Equilibrio de oferta y demanda ></div>
              <div class="card-description"></div>
            </div>
          </div>
          <div class="card">
            <img src="../img/actividad17_3.jpg" alt="International Subsidiary Banking">
            <div class="card-overlay">
              <div class="card-title">International Subsidiary Banking ></div>
              <div class="card-description"></div>
            </div>
          </div>
        </div>
      
      
      </div>
      
      <script src="../js/script1.js"></script>
   <!--Tarea 18-->
   <div class="buttons-container">
    <div class="Title">
        <p class="primer">Productos y Soluciones</p>
        <p>Conoce todos los productos y soluciones que ayudarán a tu
            empresa a abrir un mundo de posibilidades.</p>
        <p class="vertodos" href>Ver todos</p>
    </div>

    <div class="buttons">
        <button class="prev" onclick="moveLeft()">❮</button>
        <button class="next" onclick="moveRight(1)">❯</button>
    </div>

</div>

<div class="carousel-container">
    <div class="carousel">
        <div class="card"
            style="background-image: url('../img/avion.jpg');">
            <h1 class="h1s">Administración del Riesgo</h1>
            <span class="hover-text">Lorem ipsum dolor sit amet,
                consectetur adipiscing elit, sed do eiusmod tempor
                incididunt ut labore et dolore magna aliqua. Ut enim ad
                minim veniam, quis nostrud exercitation ullamco laboris
                nisi ut aliquip ex ea commodo consequat.</span>
            <p class="ps">Descubra ></p>
        </div>
        <div class="card"
            style="background-image: url('../img/bar.jpg');">
            <h1 class="h1s">Protección</h1>
            <span class="hover-text">Lorem ipsum dolor sit amet,
                consectetur adipiscing elit, sed do eiusmod tempor
                incididunt ut labore et dolore magna aliqua. Ut enim ad
                minim veniam, quis nostrud exercitation ullamco laboris
                nisi ut aliquip ex ea commodo consequat.</span>
            <p class="ps">Descubra ></p>
        </div>
        <div class="card"
            style="background-image: url('../img/bokeh.jpg');">
            <h1 class="h1s">Banca Transaccional</h1>
            <span class="hover-text">Lorem ipsum dolor sit amet,
                consectetur adipiscing elit, sed do eiusmod tempor
                incididunt ut labore et dolore magna aliqua. Ut enim ad
                minim veniam, quis nostrud exercitation ullamco laboris
                nisi ut aliquip ex ea commodo consequat.</span>
            <p class="ps">Descubra ></p>
        </div>
        <div class="card"
            style="background-image: url('../img/kayak.jpg');">
            <h1 class="h1s">Crecimiento</h1>
            <span class="hover-text">Lorem ipsum dolor sit amet,
                consectetur adipiscing elit, sed do eiusmod tempor
                incididunt ut labore et dolore magna aliqua. Ut enim ad
                minim veniam, quis nostrud exercitation ullamco laboris
                nisi ut aliquip ex ea commodo consequat.</span>
            <p class="ps">Descubra ></p>
        </div>
        <div class="card"
            style="background-image: url('../img/new.jpg');">
            <h1 class="h1s">Optimización</h1>
            <span class="hover-text">Lorem ipsum dolor sit amet,
                consectetur adipiscing elit, sed do eiusmod tempor
                incididunt ut labore et dolore magna aliqua. Ut enim ad
                minim veniam, quis nostrud exercitation ullamco laboris
                nisi ut aliquip ex ea commodo consequat.</span>
            <p class="ps">Descubra ></p>
        </div>
        <div class="card"
            style="background-image: url('../img/pasto.jpg');">
            <h1 class="h1s">Expansión</h1>
            <span class="hover-text">Lorem ipsum dolor sit amet,
                consectetur adipiscing elit, sed do eiusmod tempor
                incididunt ut labore et dolore magna aliqua. Ut enim ad
                minim veniam, quis nostrud exercitation ullamco laboris
                nisi ut aliquip ex ea commodo consequat.</span>
            <p class="ps">Descubra ></p>
        </div>
        <div class="card"
            style="background-image: url('../img/patron.jpg');">
            <h1 class="h1s">Conexión</h1>
            <span class="hover-text">Lorem ipsum dolor sit amet,
                consectetur adipiscing elit, sed do eiusmod tempor
                incididunt ut labore et dolore magna aliqua. Ut enim ad
                minim veniam, quis nostrud exercitation ullamco laboris
                nisi ut aliquip ex ea commodo consequat.</span>
            <p class="ps">Descubra ></p>
        </div>
        <div class="card"
            style="background-image: url('../img/puente.jpg');">
            <h1 class="h1s">Inversiones y Seguros</h1>
            <span class="hover-text">Lorem ipsum dolor sit amet,
                consectetur adipiscing elit, sed do eiusmod tempor
                incididunt ut labore et dolore magna aliqua. Ut enim ad
                minim veniam, quis nostrud exercitation ullamco laboris
                nisi ut aliquip ex ea commodo consequat.</span>
            <p class="ps">Descubra ></p>
        </div>
        <!-- Agrega más cards según sea necesario -->
    </div>

</div>
<script src="../js/script2.js"></script>
<!--Tarea 19-->
<script src="https://unpkg.com/vue@3/dist/vue.global.js"></script>
    <script src="https://unpkg.com/primevue/core/core.min.js"></script>

    <div id="app">
      <h2 class="Titulo">Enlaces rápidos</h2>

      <div
        class="flex justify-content-center align-items-center flex-column contenedor"
      >
        <div
          class="flex flex-column justify-content-around w-9 surface-200 md:flex-row"
        >
          <div class="flex flex-column p-3">
            <a
              href="https://www.empresas.hsbc.com.mx/es-mx/fatca"
              class="link-style"
              >FATCA <i class="fas fa-angle-right text-red-500"></i
            ></a>
            <a
              href="https://www.hsbc.com.mx/buro-entidades-financieras/?DCSext.nav=quick-link"
              class="link-style"
              >Buró de Entidades Financieras
              <i class="fas fa-angle-right text-red-500"></i
            ></a>
            <a
              href="https://www.empresas.hsbc.com.mx/es-mx/regulations/product-download-centre"
              class="link-style"
              >Costos y Comisiones de nuestros productos
              <i class="fas fa-angle-right text-red-500"></i
            ></a>
            <a
              href="https://www.hsbc.com.mx/terminos-y-condiciones/ipab/"
              class="link-style"
              >Productos Protegidos por el IPAB
              <i class="fas fa-angle-right text-red-500"></i
            ></a>
            <a
              href="https://www.empresas.hsbc.com.mx/es-mx/solutions/canales-directos"
              class="link-style"
              >Canales directos <i class="fas fa-angle-right text-red-500"></i
            ></a>
          </div>
          <div class="flex flex-column p-3">
            <a
              href="https://www.gob.mx/ipab?DCSext.nav=quick-link"
              class="link-style"
              >IPAB <i class="fas fa-angle-right text-red-500"></i
            ></a>
            <a
              href="https://www.hsbc.com.mx/contacto/agencias-y-despachos-cobranza/?DCSext.nav=quick-link"
              class="link-style"
              >Agencias y Despachos de Cobranza
              <i class="fas fa-angle-right text-red-500"></i
            ></a>
            <a
              href="https://www.empresas.hsbc.com.mx/es-mx/campaigns/semana-agronegocioshsbc"
              class="link-style"
              >Encuentro Agronegocios HSBC
              <i class="fas fa-angle-right text-red-500"></i
            ></a>
            <a href="https://www.empresas.hsbc.com.mx/es-mx" class="link-style"
              >Ciberseguridad <i class="fas fa-angle-right text-red-500"></i
            ></a>
            <a
              href="https://www.empresas.hsbc.com.mx/es-mx/solutions/podcast-conexionhsbc"
              class="link-style"
              >Podcast: Conexión HSBC
              <i class="fas fa-angle-right text-red-500"></i
            ></a>
          </div>
          <div class="flex flex-column p-3">
            <a
              href="https://www.gob.mx/condusef?DCSext.nav=quick-link"
              class="link-style"
              >CONDUSEF <i class="fas fa-angle-right text-red-500"></i
            ></a>
            <a href="tu-enlace-a-safeguard.html" class="link-style"
              >Safeguard <i class="fas fa-angle-right text-red-500"></i
            ></a>
            <a
              href="https://www.diputados.gob.mx/LeyesBiblio/pdf/LTOSF_090318.pdf"
              class="link-style"
              >Ley de Transparencia
              <i class="fas fa-angle-right text-red-500"></i
            ></a>
            <a
              href="https://www.hsbc.com.mx/content/dam/hsbc/mx/documents/contacto/sucursales/comunicado_sucursales.pdf?DCSext.nav=quick-link"
              class="link-style"
              >Sucursales cerradas durante COVID-19
              <i class="fas fa-angle-right text-red-500"></i
            ></a>
            <a
              href="https://www.empresas.hsbc.com.mx/es-mx/regulations/ibor"
              class="link-style"
              >Reformas IBOR <i class="fas fa-angle-right text-red-500"></i
            ></a>
          </div>
        </div>
      </div>
    </div>

    <script>
      const app = createApp({
        setup() {
          return {};
        },
      });

      app.use(primevue.config.default);

      app.mount("#app");
    </script>
<!--Tarea 20-->
<header>
    <h1></h1>
    <nav>
        <!-- NAV -->
    </nav>
</header>
<main>
    <!-- MAIN -->
    <button class="btn-ayuda" onclick="mostrarVentana()"><span>¿Necesitas ayuda?</span></button>
    <div class="ventana-ayuda" id="ventana-ayuda">
        <div class="ventana-ayuda-header">
            <button class="btn-cerrar" onclick="cerrarVentana()">X</button>
        </div>
        <div class="ventana-ayuda-body">
            <button class="btn-ayuda-expandido"><span>¿Necesitas ayuda?</span></button>    
            <div class="ventana-ayuda-izquierda">
                <h2>Ayuda HSBC</h2>
                <select class="selector-categoria">
                    <option value="" disabled selected>Seleccione la categoría</option>
                    <option value="1">Banca Electronica</option>
                    <option value="2">Banca Movil</option>
                    <option value="3">Cheques</option>
                    <option value="4">Cobranza</option>
                    <option value="5">Comercio</option>
                </select>
                
                <p class="preguntas-frecuentes >">¿Cómo solicito un cheque? »</p>
                <p class="preguntas-frecuentes">¿Cómo constituyo un Fideicomiso de Inversión? »</p>
                <p class="preguntas-frecuentes">¿Qué es el Seguro de Vida Grupo? »</p>
                <p class="preguntas-frecuentes">¿Cómo puedo saber si un servicio EAP es programado o en línea? »</p>
                <p class="preguntas-frecuentes">¿Qué es una Carta de Crédito? »</p>
            </div>
            <div class="ventana-ayuda-derecha">
                <h2>Asistente Virtual</h2>
                <h3 class="chat-fecha">25 Febrero 2020 19:04</h3>
                <div class="ventana-ayuda-chat">    
                    <p class="burbuja-mensaje">La información aquí vertida es de carácter informativo y no contiene obligaciones para el usuario ni para HSBC, por lo que, si tiene alguna duda sobre el contenido del mismo, puede contactar al ejecutivo de cuenta o visitar una de nuestras sucursales o visitando www.hsbc.com.mx para ser contactado.</p>
                    <p class="burbuja-mensaje">Hola, bienvenido a HSBC ¿Cómo te puedo ayudar el día de hoy? Por favor selecciona en el apartado de categoría una opción para revisar nuestras preguntas.</p>
                </div>
            </div>
        </div>
    </div>
</main>

<footer>
    <!-- FOTTHER -->
</footer>

<script src="../js/script3.js"></script>

</body>
</html>
